Keywords
curl --request GET \
--url https://api.themoviedb.org/3/search/keyword \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/keyword"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/keyword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"id": 297442,
"name": "animation"
},
{
"id": 193521,
"name": "part animation"
},
{
"id": 214793,
"name": "cutout animation"
},
{
"id": 214794,
"name": "papercut animation"
},
{
"id": 161919,
"name": "adult animation"
},
{
"id": 286391,
"name": "salt animation"
},
{
"id": 257414,
"name": "object animation"
},
{
"id": 226430,
"name": "re-animation"
},
{
"id": 287990,
"name": "ink paint animation"
},
{
"id": 263164,
"name": "clay animation"
},
{
"id": 292550,
"name": "spanish animation"
},
{
"id": 293710,
"name": "wood carve animation"
},
{
"id": 295421,
"name": "plasticine animation"
},
{
"id": 295551,
"name": "authors animation"
},
{
"id": 193149,
"name": "suspended animation"
},
{
"id": 274047,
"name": "belgian animation"
},
{
"id": 239174,
"name": "silhouette animation"
},
{
"id": 239601,
"name": "european animation"
},
{
"id": 239742,
"name": "model animation"
},
{
"id": 10159,
"name": "computer animation"
}
],
"total_pages": 4,
"total_results": 80
}Keywords
This endpoint search for keywords by their name.
GET
/
3
/
search
/
keyword
Keywords
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Keywords
Example:
1
Show child attributes
Show child attributes
Example:
[
{ "id": 297442, "name": "animation" },
{ "id": 193521, "name": "part animation" },
{ "id": 214793, "name": "cutout animation" },
{
"id": 214794,
"name": "papercut animation"
},
{ "id": 161919, "name": "adult animation" },
{ "id": 286391, "name": "salt animation" },
{ "id": 257414, "name": "object animation" },
{ "id": 226430, "name": "re-animation" },
{
"id": 287990,
"name": "ink paint animation"
},
{ "id": 263164, "name": "clay animation" },
{ "id": 292550, "name": "spanish animation" },
{
"id": 293710,
"name": "wood carve animation"
},
{
"id": 295421,
"name": "plasticine animation"
},
{ "id": 295551, "name": "authors animation" },
{
"id": 193149,
"name": "suspended animation"
},
{ "id": 274047, "name": "belgian animation" },
{
"id": 239174,
"name": "silhouette animation"
},
{
"id": 239601,
"name": "european animation"
},
{ "id": 239742, "name": "model animation" },
{ "id": 10159, "name": "computer animation" }
]
Example:
4
Example:
80
⌘I